@charset "UTF-8";

/* Background of the page */
body {
    margin: 0;
    background-color: #1a1a1a
}

/* Background content */
.container {
    background-color: #282828;
    width: 90%;
    margin-left: auto;
    margin-right: auto;
    border-bottom-width: 0;
    padding: 0;
}

/* Header of the page */
.primary_header {
    width: 100%;
    background-color: #6D0000;
    padding-top: 10px;
    padding-bottom: 10px;
    clear: left;
    border-bottom: 2px solid #222222;
}

/* Titles styles */
.title1 {
    font-weight: bold;
    font-style: normal;
    font-family: "Source Sans Pro", serif;
    text-align: center;
    color: #FFFFFF;
    letter-spacing: 6px;
    font-size: xxx-large;
}

.title2 {
    font-weight: normal;
    font-style: normal;
    font-family: "Source Sans Pro", serif;
    text-align: center;
    color: #CDCDCD;
    letter-spacing: 2px;
}

/* Secondary header styles (Menu) */
.secondary_header {
    width: 100%;
    padding-top: 30px;
    padding-bottom: 30px;
    background-color: #646464;
    clear: left;
}

.secondary_header a:link, a:visited {
    color: white;
}

.container .secondary_header ul {
    width: 100%;
    margin: 0 auto 0;
    padding: 0 0 15px;
}

.secondary_header ul li { /* ul li are tags */
    list-style: none;
    float: left;
    margin-right: auto;
    margin-top: 0;
    font-family: "Source Sans Pro", serif;
    font-weight: normal;
    color: #FFFFFF;
    letter-spacing: 1px;
    margin-left: auto;
    text-align: center;
    width: 16%;
    transition: all 0.3s linear;
}

.secondary_header ul li :hover {
    color: #9D0002;
    cursor: pointer;
}

/* Left article styles*/
.left_article {
    background-color: #282828;
    width: 60%;
    float: left;
    font-family: "Source Sans Pro", serif;
    color: #343434;
    padding-bottom: 15px;
    padding-left: 30px;
}

.container .left_article h3 { /* Define h3 styles */
    padding-left: 5%;
    padding-right: 5%;
    margin-top: 5%;
    color: #FFFFFF;
    font-weight: bold;
    text-transform: uppercase;
}

.container .left_article p {
    padding-left: 5%;
    padding-right: 5%;
    text-align: justify;
    line-height: 24px;
    margin-top: 30px;
    margin-bottom: 15px;
    color: #B3B3B3;
}

/* Right article styles (in this case is the picture) */
.right_article {
    width: 40%;
    float: left;
    background-color: #282828;
}

.container .right_article ul {
    margin: 0;
    padding: 0;
}

.right_article ul li {
    font-family: "Source Sans Pro", serif;
    list-style: none;
    text-align: center;
    background-color: #B3B3B3;
    width: 90%;
    margin: 10px auto;
    padding-top: 15px;
    padding-bottom: 15px;
    color: #232323;
    font-weight: bold;
    border-radius: 0;
    transition: all 0.3s linear;
    border-left: 5px solid #717070;
}

.right_article ul li:hover {
    background-color: #353535;
    cursor: pointer;
}

/* Holds the picture of the right article */
.placeholder {
    width: 90%;
    padding-top: 90px;
    padding-bottom: 30px;
    height: 100%;
    color: #575757
}

/* Row styles (the row is situated after the left article) */
.row {
    width: 100%;
    margin: 0 0 0 0;
    padding: 0;
    display: inline-block
}

/* Columns with text to describes the developers */
.columns {
    width: 33%;
    float: left;
    font-family: "Source Sans Pro", serif;
    color: #A5A5A5;
    line-height: 24px;
    text-align: justify;
    padding: 10px 0;
    margin: 15px 0;
}

.row .columns p {
    padding-left: 10%;
    padding-right: 10%;
}

.container .columns h4 {
    text-align: center;
    color: #FFFFFF;
}

.column_half {
    width: 50%;
    float: left;
    margin-top: 0;
}

/* Thumbnail styles */
.thumbnail {
    width: 100px;
    height: 100px;
    border-radius: 200px;
    margin-left: auto;
}

.thumbnail_align {
    text-align: center;
}

/* This is for right left columns at the bottom of the page */
.row.blockDisplay {
    display: block;
}

.left_half {
    background-color: #3e505c;
}

.container .column_half.left_half h2 {
    color: #FFFFFF;
    font-family: "Source Sans Pro", serif;
    text-align: center;
}

.right_half {
    background-color: #283c49;
    color: #FFFFFF;
    font-family: "Source Sans Pro", serif;
    text-align: center;
    font-weight: bold;
}

.column_title {
    padding-top: 25px;
    padding-bottom: 25px;
}

/* Social media styles */
.social {
    text-align: center;
    margin-right: 0;
    margin-bottom: 0;
    margin-left: 0;
    width: 100%;
    background-color: #414141;
    clear: both;
    overflow: auto;
}

.social_icon {
    width: 25%;
    text-align: center;
    float: left;
    transition: all 0.3s linear;
    line-height: 0;
    padding-top: 7px;
}

.container .social .social_icon:hover {
    cursor: pointer;
    opacity: 0.5;
}

/* Copyright footer styles */
.footer {
    background-color: #717070;
}

.copyright {
    text-align: center;
    background-color: #717070;
    color: #FFFFFF;
    text-transform: uppercase;
    font-weight: lighter;
    letter-spacing: 2px;
    border-top-width: 2px;
    font-family: "Source Sans Pro", serif;
}

/* Responsive behaviour */
@media (max-width: 320px) {
    .secondary_header ul li {
        float: none;
        margin-top: 28px;
        margin-left: 0;
        width: 100%;
    }

    .container .secondary_header ul {
        margin: 0;
        padding: 0;
        height: auto;
        width: 100%;
        text-align: center;
    }

    .secondary_header {
        margin: 0;
        padding-top: 1px;
        padding-bottom: 40px;
    }

    .left_article {
        width: 100%;
        height: auto;
    }

    .right_article {
        width: 100%;
        height: auto;
    }

    .placeholder {
        width: 100%;
        margin: 22PX 0;
        padding: 0;
        max-width: 400px;
        max-height: 200px;
        height: auto;
    }

    .columns {
        width: 100%;
        margin: 0;
        padding: 0;
    }

    .columns p {
        padding-left: 10px;
        padding-right: 10px;
    }

    .column_half.left_half {
        width: 100%;
    }

    .column_half.right_half {
        width: 100%;
    }

    .copyright {
        padding-top: 25px;
        padding-bottom: 0;
        margin-bottom: 0;
    }

    .container .left_article h3 {
        margin-top: 30px;
    }

    .social .social_icon img {
        width: 80%;
    }

    .container .secondary_header {
    }
}

@media (min-width: 321px) and (max-width: 768px) {
    .secondary_header ul li {
        float: none;
        margin-top: 28px;
        margin-left: 0;
        width: 100%;
    }

    .container .secondary_header ul {
        margin: 0;
        padding: 0;
        height: auto;
        width: 100%;
        text-align: center;
    }

    .secondary_header {
        margin: 0;
        padding-top: 1px;
        padding-bottom: 40px;
    }

    .left_article {
        width: 100%;
        height: auto;
    }

    .right_article {
        width: 100%;
        height: auto;
        padding-bottom: 25px;
    }

    .placeholder {
        margin: 0;
        padding: 0;
        width: 100%;
        max-width: 100%;
        height: auto;
        max-height: 100%;
    }

    .columns {
        width: 100%;
        margin: 6px 0;
        padding: 0;
    }

    .columns p {
        padding-left: 14px;
        padding-right: 14px;
    }

    .column_half.left_half {
        width: 100%;
    }

    .column_half.right_half {
        width: 100%;
    }
}

@media (min-width: 769px) and (max-width: 1000px) {
    .secondary_header {
        overflow: auto;
        padding-top: 30px;
        padding-bottom: 30px;
    }

    .secondary_header ul li {
        margin: 10px 7%;
    }

    .left_article {
        height: auto;
    }

    .right_article {
        height: auto;
        padding-bottom: 27px;
    }

    .placeholder {
        width: 100%;
        margin-left: 0;
        margin-right: 0;
        padding-left: 0;
        padding-right: 0;
    }

    .columns {
        width: 50%;
        float: left;
        padding: 0;
    }

    .container .columns p {
        padding-left: 25px;
        padding-right: 25px;
    }
}

@media (min-width: 1001px) {
}


#menu {
}

#button {
}
